import Qt 4.7

FocusScope {
    id: root
    signal textChanged
    property alias text: input.text
    property alias label: label.text

    Rectangle {
        color: "lightblue"
        anchors.fill: parent
        border.width: 1
        Text {
            id: label
            x: 5; y: 0; height: parent.height; width: paintedWidth
            verticalAlignment: Text.AlignVCenter
        }
        TextInput {
            id: input
            x: label.width + 10
            y: (parent.height - height) / 2
            width: parent.width - x
            onTextChanged: root.textChanged()
            focus: true
        }
    }
    MouseArea {
        anchors.fill: parent
        onClicked: root.focus = true
    }
}
