import Qt 4.7

// Simple text input wrapped into rectangle with borders
FocusScope {
    id: root
    property alias text: input.text
    signal accepted
    anchors.top: parent.top
    anchors.bottom: parent.bottom
    Rectangle {
        anchors.fill: parent
        anchors.margins: 3
        border.width: 1
        TextInput {
            id: input
            anchors.left: parent.left
            anchors.right: parent.right
            anchors.leftMargin: 5
            anchors.rightMargin: 5
            y: (parent.height - height) / 2
            selectByMouse: true
            focus: true
            onAccepted: root.accepted();
        }
    }
}

