#ifndef ANIMATEDPIXMAP_H
#define ANIMATEDPIXMAP_H

#include <QObject>
#include <QGraphicsPixmapItem>

class QPropertyAnimation;

class AnimatedPixmap : public QObject, public QGraphicsPixmapItem
{
    Q_OBJECT
    Q_PROPERTY(qreal rotation READ rotation WRITE setRotation NOTIFY rotationChanged)

public:
    explicit AnimatedPixmap(const QPixmap &pixmap, QGraphicsItem *parent);
    void start();

protected:
    void mouseDoubleClickEvent(QGraphicsSceneMouseEvent *event);

public slots:

private:
    QPropertyAnimation *animation;

};

#endif // ANIMATEDPIXMAP_H
