import Qt 4.7

// If the plug-in's "qmldir" file is removed, this
// instance of ExampleObject is loaded instead of
// plug-in, so this can be used to do pure-QML testing.
//
// Notes:
// Some examples from the Qt documentation show how to
// install the plug-in and QML files into same directory
// In general that also works, but there's some oddities. The
// qmldir file might prevent the loading of other QML files
// from the root directory.
//
// Didn't investigate this further, but to be safe it's better to
// put the plug-in code and corresponding dummy-files into
// a separate sub-directory under the application's main directory.
//
// QtObject maps to a QObject at C++ side and this
// provides the same API as the C++ plug-in's ExampleObject
QtObject {
    property string text: "Dummy"
}
