import Qt 4.7

Rectangle {
    id: root
    width: 300
    height: 200

    Rectangle {
        x: 25; y: 25; width: 25; height: 25
        // rectColor comes via C++ context property
        color: rectColor
        SequentialAnimation on x {
            // loops property doesn't seem to work with SequentialAnimation (???)
            // loops: Animation.Infinite
            onCompleted: start();
            SmoothedAnimation {
                from: 25; to: 250
                velocity: 100
            }
            SmoothedAnimation {
                from: 250; to: 25
                velocity: 100
            }
        }

        SequentialAnimation on y {
            onCompleted: start();
            SmoothedAnimation {
                from: 25; to: 150
                velocity: 75
            }
            SmoothedAnimation {
                from: 150; to: 25
                velocity: 75
            }
        }

        RotationAnimation on rotation {
            from: 0
            to: 360
            direction: RotationAnimation.Clockwise
            duration: 2000
            loops: Animation.Infinite
        }
    }
}
