#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QDeclarativeContext>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    ui->declarativeView->setSource(QUrl("qrc:/Main.qml"));

    // Exposes a property with name rectColor into the root QML object
    QDeclarativeContext *context = ui->declarativeView->rootContext();
    context->setContextProperty("rectColor", QColor(Qt::blue));
}

MainWindow::~MainWindow()
{
    delete ui;
}
