#ifndef ROOTPROPERTIES_H
#define ROOTPROPERTIES_H

#include <QObject>
#include <QColor>

class RootProperties : public QObject
{
    Q_OBJECT
    Q_PROPERTY(QColor color READ color NOTIFY colorChanged)

public:
    explicit RootProperties(QObject *parent = 0);
    QColor color() const { return mColor; }

signals:
    void colorChanged(QColor newColor);

public slots:

private:
    QColor mColor;
};

#endif // ROOTPROPERTIES_H
